# PDO::pgsqlCopyToFile

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

PDO::pgsqlCopyToFile — Copiar datos desde una tabla a un fichero

### Descripción

public PDO::pgsqlCopyToFile(
string `$table_name`,
string `$filename`,
string `$delimiter` = '\t',
string `$null_as` = "\\\\N",
string `$fields` = ?
): bool

Copia los datos desde la tabla al fichero especificado por `filename` empleando `delimiter` como delimitador de campos y la lista de campos `fields`

### Parámetros

`table_name`

  Una cadena que contiene el nombre de la tabla

`filename`

  El nombre del fichero donde exportar los datos

`delimiter`

  El delimitador empleado en el fichero especificado por `filename`

`null_as`

  Cómo interpretar valores nulos

`fields`

  El listado de campos a insertar

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.